note
	description: "Summary description for {RL_AWARE}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	RL_AWARE
feature
	as_utf8 (a_string :  READABLE_STRING_GENERAL) : RL_STRING_UTF8
		do
			if attached {RL_STRING_UTF8} a_string as al_string then
				create Result.make_from_string_general(al_string)
			elseif attached {STRING_8} a_string as al_string then
				create Result.make_from_string_general(al_string)
			elseif attached {STRING_32} a_string as al_string then
				create Result.make_from_string_general (al_string)
			else
				create Result.make_from_string_general (a_string.as_string_32)
			end
		end
	as_string_32 (a_string :  READABLE_STRING_GENERAL) : STRING_32
		do
			if attached {STRING_32} a_string as al_string then
				Result := al_string
			elseif attached {STRING_8} a_string as al_string then
				if utf_converter.is_valid_utf_8_string_8 (al_string) then
					Result := encoder.decoded_string(al_string)
				else
					Result := encoder.decoded_string (encoder.encoded_string (al_string))
				end
			else
				Result := a_string.as_string_32
			end
		end

	utf_converter : UTF_CONVERTER
		once
			create Result
		end
	encoder : UTF8_ENCODER
		once
			create Result
		end

end
