note
	description: "Summary description for {RL_CONSENSUS_APPLICATION}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	RL_ENLIS_APPLICATION
inherit
	RL_SIGNPOST
create
	make
feature
	utf8_test
		local
			l_overrides,l_sheet,l_statement : RL_JSON_STRUCTURE
			l_item : READABLE_STRING_GENERAL
			l_table : HASH_TABLE[RL_JSON_NODE[ANY],STRING_32]
		do
			create l_overrides
			create l_sheet
			create l_statement
			l_statement.put_string("500","2012-09-29")
			l_sheet.put(l_statement,<<"17">>)
			l_overrides.put (l_sheet, <<"Balance Sheet">>)
			signpost
			l_table := l_overrides.item
			signpost
			across l_overrides.item as ic_overrides loop
				if attached {RL_JSON_STRUCTURE} ic_overrides.item as al_rows then
					across al_rows.item as ic_rows loop
						if attached {RL_JSON_STRUCTURE} ic_rows.item as al_line then
							across al_line.item as ic_periods loop
								if attached {RL_JSON_STRING} ic_periods.item as al_value then
									print("utf8_test : %N")
									l_item := al_value.item
									if attached l_item then
										print(l_item.out + "%N")
									else
										print("item is Void%N")
									end
								end
							end
						end
					end
				end
			end
		end

	make
		local
			l_request : RL_ENLIS_REQUEST
			l_item : RL_JSON_NODE[ANY]
		do
			signpost
			utf8_test
			create l_request
			l_request.utf8_test
		end


end
