note
	description: "[
		Sequences of 8-bit characters, accessible through integer indices
		in a contiguous range.
		]"

class
	RL_STRING_UTF8
inherit
	STRING_32
		redefine
			make_from_string_general,
			default_create,
			as_string_8
		end
create
	make,
	make_from_string,
	make_from_string_general,
	default_create
feature
	default_create
		do
			make(0)
		end
	make_from_string_general(a_string : READABLE_STRING_GENERAL)
		do
			if attached {READABLE_STRING_8} a_string as al_string then
				Precursor(encoder.decoded_string (al_string))
			else
				Precursor(a_string)
			end
		end
	as_string_8 : STRING_8
		do
			Result := encoder.encoded_string (Current)
		end
	encoder : UTF8_ENCODER once create Result end
end
